Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.plexus.config
Class ObjectServiceConfigurator

    java.lang.Object
      org.codehaus.plexus.logging.AbstractLogEnabled
          org.codehaus.xfire.plexus.PlexusXFireComponent
              org.codehaus.xfire.plexus.config.ObjectServiceConfigurator

All Implemented Interfaces:
  org.codehaus.plexus.logging.LogEnabled, org.codehaus.plexus.personality.plexus.lifecycle.phase.Serviceable, Configurator

Direct Known Subclasses:
  AnnotationServiceConfigurator

    public class ObjectServiceConfigurator

extends PlexusXFireComponent
implements Configurator

Creates and configures services.

Since:
  Sep 20, 2004
Author:
  Dan Diephouse

Field Summary

Fields inherited from interface org.codehaus.xfire.plexus.config.Configurator
`ROLE`

Constructor Summary
`ObjectServiceConfigurator()`

Method Summary
`Service` | `createService(org.codehaus.plexus.configuration.PlexusConfiguration config)`
`protected BindingProvider` | `getBindingProvider(org.codehaus.plexus.configuration.PlexusConfiguration config)`
`protected Handler` | `getHandler(java.lang.String name)`
`ObjectServiceFactory` | `getServiceFactory(org.codehaus.plexus.configuration.PlexusConfiguration config)`
`protected ObjectServiceFactory` | `getServiceFactory(java.lang.String builderClass, BindingProvider bindingProvider)`
`protected ServiceRegistry` | `getServiceRegistry()`
`protected TransportManager` | `getTransportManager()`
`TypeMappingRegistry` | `getTypeMappingRegistry()`
`XFire` | `getXFire()`
`protected java.lang.Class` | `loadClass(java.lang.String className)` Load a class from the class loader.

Methods inherited from class org.codehaus.xfire.plexus.PlexusXFireComponent
`getServiceLocator, service`

Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled
`enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectServiceConfigurator

    public ObjectServiceConfigurator()

Method Detail

### createService

    public Service createService(org.codehaus.plexus.configuration.PlexusConfiguration config)
                          throws java.lang.Exception

  Specified by:
    `createService` in interface `Configurator`
  Throws:
    `java.lang.Exception`

### getServiceFactory

    public ObjectServiceFactory getServiceFactory(org.codehaus.plexus.configuration.PlexusConfiguration config)
                                           throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getBindingProvider

    protected BindingProvider getBindingProvider(org.codehaus.plexus.configuration.PlexusConfiguration config)
                                          throws java.lang.InstantiationException,
                                                 java.lang.IllegalAccessException,
                                                 java.lang.Exception

  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.lang.Exception`

### getServiceFactory

    protected ObjectServiceFactory getServiceFactory(java.lang.String builderClass,
                                                     BindingProvider bindingProvider)
                                              throws java.lang.Exception

  Returns:
  Throws:
    `org.codehaus.plexus.configuration.PlexusConfigurationException`
    `java.lang.Exception`

### getHandler

    protected Handler getHandler(java.lang.String name)
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getXFire

    public XFire getXFire()

### getTypeMappingRegistry

    public TypeMappingRegistry getTypeMappingRegistry()

### getTransportManager

    protected TransportManager getTransportManager()

### loadClass

    protected java.lang.Class loadClass(java.lang.String className)
                                 throws java.lang.Exception

  Load a class from the class loader.

  Parameters:
    `className` - The name of the class.
  Returns:
    The class.
  Throws:
    `java.lang.Exception`

### getServiceRegistry

    protected ServiceRegistry getServiceRegistry()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.